MENU_USERPTR(3) | Library Functions Manual | MENU_USERPTR(3)

# NAME

`menu_userptr`, `set_menu_userptr` — get or set user pointer for a menu

# LIBRARY

Curses Menu Library (libmenu, -lmenu)

# SYNOPSIS

`#include <menu.h>`

char *
`menu_userptr`(MENU *menu);

int
`set_menu_userptr`(MENU *menu, char *ptr);

# DESCRIPTION

The `menu_userptr`() function returns the pointer to the user defined pointer for the given menu. This pointer is set by the `set_menu_userptr`() function.

# RETURN VALUES

The functions return one of the following error values:

`E_OK`
  The function was successful.
`E_SYSTEM_ERROR`
  There was a system error during the call.

# SEE ALSO

curses(3), menus(3)

# NOTES

The header <menu.h> automatically includes both <curses.h> and <eti.h>.

September 10, 1999 | NetBSD 11.0